Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Accounts - List Keys
- Service:
- Maps Management
- API Version:
- 2023-06-01
Get the keys to use with the Maps APIs. A key is used to authenticate and authorize access to the Maps REST APIs. Only one key is needed at a time; two are given to provide seamless key regeneration.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Maps/accounts/{accountName}/listKeys?api-version=2023-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
accountName
|
path | True |
string |
The name of the Maps Account. |
|
resourceGroupName
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscriptionId
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request was successful. |
|
| Other Status Codes |
An unexpected error occurred. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
List Keys
Sample request
POST https://management.azure.com/subscriptions/21a9967a-e8a9-4656-a70b-96ff1c4d05a0/resourceGroups/myResourceGroup/providers/Microsoft.Maps/accounts/myMapsAccount/listKeys?api-version=2023-06-01
Sample response
- Status code:
- 200
{
"primaryKey": "<primaryKey>",
"primaryKeyLastUpdated": "2021-07-02T01:01:01.1075056Z",
"secondaryKey": "<secondaryKey>",
"secondaryKeyLastUpdated": "2021-07-02T01:01:01.1075056Z"
}
Definitions
| Name | Description |
|---|---|
| ErrorAdditionalInfo |
The resource management error additional info. |
| ErrorDetail |
The error detail. |
| ErrorResponse |
Error response |
| MapsAccountKeys |
The set of keys which can be used to access the Maps REST APIs. Two keys are provided for key rotation without interruption. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
MapsAccountKeys
The set of keys which can be used to access the Maps REST APIs. Two keys are provided for key rotation without interruption.
| Name | Type | Description |
|---|---|---|
| primaryKey |
string |
The primary key for accessing the Maps REST APIs. |
| primaryKeyLastUpdated |
string |
The last updated date and time of the primary key. |
| secondaryKey |
string |
The secondary key for accessing the Maps REST APIs. |
| secondaryKeyLastUpdated |
string |
The last updated date and time of the secondary key. |
